Page MenuHomePhabricator

Cannot reset password for Wikitech account
Closed, ResolvedPublic

Description

Back in April 2018, I opened an account at WikiTech using the same User-name as that of my SUL account and with the same email. After a few months, I tried to log in today, but to my dismay, it displayed a wrong user name/ password banner. I further note that there is no option to restore password which might stem from mine not confirming my email account back during the creation-time.

Will it be possible for some developer to do the needful so that I can regain back access? I have that expired confirmation mail lying in my inbox, (which is the same email, used by my SUL account) and am willing to forward that to anybody, who wishes for it and indulge in other cross-verification procedures. Can start a fresh Wikitech account but don't want to lose the user-name:-(

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2019, 7:17 PM

Actually password reset is just disabled across the wiki: https://wikitech.wikimedia.org/wiki/Special:PasswordReset

@Krenair Weird, why's that? Why can't we expect that people might forget their passwords sometimes?

https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/497782/ made the change but does not provide the rationale, just links to a non-public task.

Aklapper renamed this task from Regain access to Wikitech account to Cannot reset password for Wikitech account.Mar 26 2019, 7:27 PM

I note T219277. Something seems to have happened, over the recent days:-(

Reenabling password reset will require to solve T219277 first, indeed.

bd808 added a subscriber: bd808.Mar 26 2019, 7:30 PM

Both account creation and password reset on wikitech are currently disabled. This is a temporary measure that we hope to be able to undo soon, but for now there is no exact timeline or public phabricator tasks I can point you to to follow.

WingedBladesofGodric triaged this task as Unbreak Now! priority.EditedMar 26 2019, 7:35 PM

@Aklapper Thanks, though I've no clue as to why user-password needs to be blanked or scrambled by an admin in an effort to block a malicious actor.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 26 2019, 7:35 PM
jrbs lowered the priority of this task from Unbreak Now! to Normal.Mar 26 2019, 7:36 PM
jrbs added a subscriber: jrbs.

Being bold and lowering priority - this is blocked on another task and does not appear to be urgent or blocking, unless I am missing something.

This comment was removed by Ladsgroup.
jrbs added a comment.Jun 28 2019, 8:15 PM

Perhaps now that password resets are allowed again (I think?), the user could try to reset their password?

bd808 closed this task as Resolved.Jul 1 2019, 4:30 AM
bd808 claimed this task.

Password reset is reenabled on wikitech.